Subject: Re: [PWE3] Re: Bridge or

From: Muneyoshi Suzuki <[email-masked]>
Date: Fri, 06 Dec 2002 15:58:12 +0900

Cheng-Yin,

> I thought Juergen articulated this quite clearly in a previous email.
> Here's another attempt :
> (a) If PWE3 WG is defining Ethernet emulation (i.e. taking into
> account the client/Ethernet MAC layer requirements), then the NSPs
> functions required should be defined in this WG,
> (b) if PWE3 WG is simply encapsulating and transporting Ethernet frames
> over the PSN (without taking into account the essential client layer
> requirements), then NSP functions required are out of scope. In this
> case,  
> the required NSPs functions including PAUSE frames should not be
> specified in
> draft-ietf-pwe3-ethernet-encap-01.txt, and all PWE3 documents should not
> state that PWE3 is working
> on Ethernet emulation. [I believe we have agreed to rule out the option
> of emulating Ethernet "wire"].

I fully agree with this.

> > > > Well, I think that draft does a couple of things:
> > > > 1. It specifies the pseudowire encapsulation for ethernet frames.
> > > Agreed.
> It specifies the encapsulation for ethernet frames over PSN (I think it
> is not necessary to use the term pseudowire here, the term seems to be a
> moving target)

Exactly.

> > > (2) Functions of the NSP must be decoupled into LAN and Bridge functions,
> > > because, it support VLAN tagging, but this is a part of MAC Relay Entity,
> > > especially the E-ISS sub-layer defined in section 7 of IEEE 802.1Q.
> My personal opinion is if we let 802.1d/q do the job (especially for
> multipoint) instead 
> of having another parallel function for 802.1q/QinQ functions in
> IP/MPLS, we would not need to parallel IEEE specs in the IETF.

Needless to say, the IETF should not develop new LAN/Bridge protocol,
but the IETF should refer the IEEE work if it is needed.

Thanks,

Muneyoshi Suzuki
Nippon Telegraph and Telephone Corp.